/**
 * @file test_sdcard.cpp
 * @brief Unit tests for SD Card driver component
 * @author Mahmoud Elmohtady
 * @company Nabd solutions - ASF
 * @copyright Copyright (c) 2025
 */

#include "unity.h"
#include "sdcard.hpp"

extern "C" {

void setUp(void)
{
}

void tearDown(void)
{
}

void test_sdcard_mount(void)
{
    SdCardDriver sdcard;
    bool result = sdcard.mount();
    TEST_ASSERT_TRUE(result);
    TEST_ASSERT_TRUE(sdcard.isMounted());
}

} // extern "C"

